Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class DefaultRuntimeEnvironment

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment
          org.jbpm.runtime.manager.impl.DefaultRuntimeEnvironment

All Implemented Interfaces:
  SchedulerProvider, org.kie.internal.runtime.manager.RuntimeEnvironment

    public class DefaultRuntimeEnvironment

extends SimpleRuntimeEnvironment

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment
`configuration, emf, environment, kbase, kbuilder, mapper, registerableItemsFactory, schedulerService, sessionConfigProperties, usePersistence, userGroupCallback`

Constructor Summary
`DefaultRuntimeEnvironment()`
`DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf)`
`DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf, boolean usePersistence)`
`DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf, GlobalSchedulerService globalSchedulerService)`

Method Summary
`void` | `init()`

Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment
`addAsset, addIfPresent, addToConfiguration, addToEnvironment, close, copyEnvironment, getConfiguration, getEmf, getEnvironment, getKieBase, getMapper, getRegisterableItemsFactory, getSchedulerService, getSessionConfigProperties, getUserGroupCallback, setEmf, setKieBase, setMapper, setRegisterableItemsFactory, setSchedulerService, setSessionConfigProperties, setUsePersistence, setUserGroupCallback, usePersistence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRuntimeEnvironment

    public DefaultRuntimeEnvironment()

### DefaultRuntimeEnvironment

    public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf)

### DefaultRuntimeEnvironment

    public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf,
                                     GlobalSchedulerService globalSchedulerService)

### DefaultRuntimeEnvironment

    public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf,
                                     boolean usePersistence)

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `SimpleRuntimeEnvironment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.